package com.kingdee.eas.custom.beisen.synchronousorg;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractsynchronousOrgControllerBean extends AbstractBizControllerBean implements synchronousOrgController
{
    protected AbstractsynchronousOrgControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("897A8C4E");
    }

    public String createOrUpdateOrg(Context ctx, int day, String orgId, boolean isDelete) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("f83ef127-3bc2-4c60-a96c-7800ffb94797"), new Object[]{ctx, new Integer(day), orgId, new Boolean(isDelete)});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_createOrUpdateOrg(ctx, day, orgId, isDelete);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _createOrUpdateOrg(Context ctx, int day, String orgId, boolean isDelete) throws BOSException
    {    	
        return null;
    }

}